version: "3.8"

services:
  app:
    build: .
    container_name: ultratech-app
    restart: always
    volumes:
      - .:/var/www/html  # Mount full app directory
    ports:
      - "8080:80"  # Access via http://localhost
    environment:
      MYSQL_HOST: 10.1.56.69
      MYSQL_USER: ultrauser
      MYSQL_PASSWORD: Ultra@123
      MYSQL_DATABASE: ultratech_2025
